Bug 37568 - www/mod_php4: use tar.bz2 instead of tar.gz on systems after bzip2 import (OSVERSION >= 440000)
Summary: www/mod_php4: use tar.bz2 instead of tar.gz on systems after bzip2 import (OS...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dirk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-29 15:10 UTC by never
Modified: 2002-05-13 07:21 UTC (History)
0 users

See Also:


Attachments
file.diff (642 bytes, patch)
2002-04-29 15:10 UTC, never
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description never 2002-04-29 15:10:02 UTC
mod_php4 uses tar.gz which consumes more bandwidth than tar.bz2, 
while tar.bz2 version is avaliable on vendor's site.

How-To-Repeat: Look at ports/www/mod_php4/distinfo
Comment 1 never 2002-04-29 15:14:31 UTC
Hello, Alexandr Kovalenko!

On Mon, Apr 29, 2002 at 05:09:35PM +0300, you wrote:

> >Number:         37568
> >Category:       ports
> >Synopsis:       www/mod_php4: use tar.bz2 instead of tar.gz on systems after bzip2 import (OSVERSION >= 440000)
[snip]
> >Description:
> mod_php4 uses tar.gz which consumes more bandwidth than tar.bz2, 
> while tar.bz2 version is avaliable on vendor's site.
> >How-To-Repeat:
> Look at ports/www/mod_php4/distinfo
> >Fix:
> --- Makefile.orig	Mon Apr 29 16:50:08 2002
> +++ Makefile	Mon Apr 29 17:07:02 2002
> @@ -31,6 +31,12 @@
>  
>  SLAVEDIRS=	lang/php4
>  
> +.include <bsd.port.pre.mk>
> +
> +.if ${OSVERSION} >= 440000
> +USE_BZIP2=	yes
> +.endif
> +
>  USE_SUBMAKE=	yes
>  USE_AUTOCONF_VER=213
>  
> @@ -103,4 +109,4 @@
>  
>  post-extract: ${POSTEXTRACT}
>  
> -.include <bsd.port.mk>
> +.include <bsd.port.post.mk>
> --- distinfo.orig	Mon Apr 29 16:53:54 2002
> +++ distinfo	Mon Apr 29 16:53:57 2002
> @@ -1,2 +1,3 @@
>  MD5 (php-4.2.0.tar.gz) = 88d55481de32ab0168aa580f7b611022
> +MD5 (php-4.2.0.tar.bz2) = a0831e98eb28efb7dabaf7edf686b8b7
>  MD5 (php4_mbregex-1.2.1.tar.gz) = 46d151afa9ab668df880a70cf786a2c2
Sorry, please use this patch:

--- Makefile.orig	Mon Apr 29 16:50:08 2002
+++ Makefile	Mon Apr 29 17:12:48 2002
@@ -18,7 +18,6 @@
 		http://php.easydns.com/${PHP_DISTDIR}/ \
 		http://www.php.cz/${PHP_DISTDIR}/ \
 		http://php3.globe.de/${PHP_DISTDIR}/
-DISTNAME=	php-${PORTVERSION}
 
 MAINTAINER=	dirk@FreeBSD.org
 
@@ -31,6 +30,15 @@
 
 SLAVEDIRS=	lang/php4
 
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} >= 440000
+DISTFILES=	php-${PORTVERSION}.tar.bz2 php4_mbregex-1.2.1.tar.gz
+USE_BZIP2=	yes
+.else
+DISTFILES=	php-${PORTVERSION}.tar.gz php4_mbregex-1.2.1.tar.gz
+.endif
+
 USE_SUBMAKE=	yes
 USE_AUTOCONF_VER=213
 
@@ -103,4 +111,4 @@
 
 post-extract: ${POSTEXTRACT}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
--- distinfo.orig	Mon Apr 29 16:53:54 2002
+++ distinfo	Mon Apr 29 16:53:57 2002
@@ -1,2 +1,3 @@
 MD5 (php-4.2.0.tar.gz) = 88d55481de32ab0168aa580f7b611022
+MD5 (php-4.2.0.tar.bz2) = a0831e98eb28efb7dabaf7edf686b8b7
 MD5 (php4_mbregex-1.2.1.tar.gz) = 46d151afa9ab668df880a70cf786a2c2

-- 
NEVE-RIPE
Comment 2 Alex Dupre 2002-04-29 15:16:07 UTC
I already sent to dirk this patch in addition to many others (like
support for apache 2.0). Please wait and hope :-)

				Alex Dupre
Comment 3 Alex Dupre 2002-04-29 15:55:29 UTC
The php4_mbregex-1.2.1.tar.gz file is no longer required. The extension
is included in php 4.2.0.

				Alex Dupre
Comment 4 sada freebsd_committer 2002-05-11 03:08:44 UTC
Responsible Changed
From-To: freebsd-ports->dirk

Over to maintainer.
Comment 5 dirk freebsd_committer 2002-05-13 07:20:25 UTC
State Changed
From-To: open->closed

I set USE_BZIP2 unconditionally though.